=== debian/changelog ===
obs-text-slideshow (1.5.2-2) unstable; urgency=medium

  * debian/control: set a relationship for libobs-dev.
  * debian/upstream/metadata: added field 'Donation'.
  * debian/tests/*: added to provide a trivial CI test. The current test checks
    if the lib loads.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 31 Dec 2021 00:15:07 -0300

obs-text-slideshow (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2.
  * debian/control: set 'Multi-Arch: same'.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Nov 2021 20:35:22 -0300

obs-text-slideshow (1.5.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added Enhances field.
  * debian/rules:
      - Migrated override_dh_install to execute_after_dh_install.
      - Removed no longer needed override to blhc.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 10 Nov 2021 23:23:01 -0300

obs-text-slideshow (1.5.1-1) experimental; urgency=medium

  * Initial release. (Closes: #994427)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Sep 2021 13:45:13 -0300
