=== debian/control ===
Source: obs-text-slideshow
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>=27), qtbase5-dev
Standards-Version: 4.6.0.1
Homepage: https://obsproject.com/forum/resources/obs-text-slideshow.1303/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/obs-text-slideshow
Vcs-Git: https://salsa.debian.org/debian/obs-text-slideshow.git

Package: obs-text-slideshow
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 27)
Enhances: obs-studio (>= 27)
Description: plugin for OBS Studio to present texts in videos
 OBS plugin inspired by the built-in image slideshow, except for text sources
 instead. Useful for displaying song lyrics, captions, translations, etc.
 .
 Is possible to insert any text in plugin settings or load a content from a
 single or from multiple text files. The transition modes for texts are cut,
 fade, swipe and slide. Is also possible choice a font and its style. There
 are other settings.
 .
 This plugin is compatible with OBS 27 or higher.
