=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT = qt5

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

execute_after_dh_install:
	# Check if the plugin is in right place
	ls debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins/${DEB_SOURCE}.so
