=== debian/watch ===
version=4
https://github.com/jbwong05/obs-text-slideshow/releases .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
